org.apache.uima.collection.base_cpm

## Interface CasObjectProcessor

- All Superinterfaces:
    CasProcessor
  All Known Subinterfaces:
    AnalysisEngine, CasConsumer, TextAnalysisEngine
  All Known Implementing Classes:
    AggregateAnalysisEngine_impl, AnalysisEngineImplBase, AnalysisEngineProcessorAdapter, AnalysisEngineServiceAdapter, CasConsumer_ImplBase, CasProcessorAnnotator, JCasProcessorAnnotator, MultiprocessingAnalysisEngine_impl, PearAnalysisEngineWrapper, PrimitiveAnalysisEngine_impl, UimacppAnalysisEngineImpl

      public interface CasObjectProcessor
      extends CasProcessor

  Interface for CAS Processors that want to use the full `CAS` implementation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processCas(CAS aCAS)` Process a single CAS.
    `void` | `processCas(CAS[] aCASes)` Processes multiple CASes.
    `void` | `typeSystemInit(TypeSystem aTypeSystem)` Informs this CasConsumer that the CAS TypeSystem has changed.

    - ### Methods inherited from interface org.apache.uima.collection.base_cpm.CasProcessor

      `batchProcessComplete, collectionProcessComplete, getProcessingResourceMetaData, isReadOnly, isStateless`

- - ### Method Detail

    - #### processCas

          void processCas(CAS aCAS)
                   throws ResourceProcessException

      Process a single CAS.
      Parameters:
        `aCAS` - the CAS to be processed. Additional information may be added to this CAS (if this CAS processor is not `read-only`).
      Throws:
        `ResourceProcessException` - if processing fails

    - #### processCas

          void processCas(CAS[] aCASes)
                   throws ResourceProcessException

      Processes multiple CASes.
      Parameters:
        `aCASes` - an array of CASes to be processed. Additional information may be added to these CASes (if this CAS processor is not `read-only`).
      Throws:
        `ResourceProcessException` - if processing fails for any of the CASes

    - #### typeSystemInit

          void typeSystemInit(TypeSystem aTypeSystem)
                       throws ResourceInitializationException

      Informs this CasConsumer that the CAS TypeSystem has changed. The CPM calls this method prior to initiating collection processing, and will call it again whenever the CAS TypeSystem changes.

      In this method, the CasConsumer should use the `TypeSystem` to resolve the names of Type and Features to the actual `Type` and `Feature` objects, which can then be used during processing.

      Parameters:
        `aTypeSystem` - the type system to use
      Throws:
        `ResourceInitializationException` - if the type system is not compatible with this Cas Consumer

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.